Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: dumb kernel question

  1. #1

    dumb kernel question

    OK guys & gals, here's a dumb question I hope

    The machine is Athlon based running RH 7.2 with an i686 update kernel.

    I'm thinking gcc 2.96-98 is partially broken. I had problems with rpmbuild --rebuild building the nVidia kernel source 1.0-2313 for i686 prior to messing with the kernel and had to fall back to the 1.0-1451 version. The 2313 version compiled ok but would would not install. The dl nVidia kernel-1.0-2313.i686up would not install either by the way.

    I later compiled a kernel set up for an Athlon, it worked pretty well but... I got warnings about indirect lcalls without a * (pointer) coming out of pci-pc.c neat the end on the make bzImage pass. It griped about unresolved externals in ext3.o on startup.

    My question is if I rpm -ivh --ignorearch the kernel-2.4.9-13.athlon .rpm package after making backup copies of /lib/modules/2.4.9-13 and renamed the original and the appropriate /boot stuff is it going to put Athlon modiles in a new module directory for me?

    I'm guessing it must because I got a new modules/2.4.9-13 when upgrading from 2.4.9-7.

    TIA for any advice...

    --glenn

  2. #2

    Re: dumb kernel question

    I believe redhat has a different version of gcc. Or its own specialized version or something. ANyways all I know is I coudlnt' compile mplayer with redhat 7.2. Why don't you just use the rpms to install the nvidia drivers?

  3. #3

    Re: dumb kernel question

    I had the 1451 build working fine. I just thought I would take advantage of 'optimized' for the processor.

    Or would I have to rebuild everything ???

    --glenn

  4. #4
    Associate
    Join Date
    Dec 2001
    Posts
    14

    Re: dumb kernel question

    Redhat ships two gcc versions, 2.9.6, and 2.9.1. gcc 2.9.1 is named kgcc, and that's the one you want to use to compile kernels. I found this redhat page detailing the change needed to the kernel makefile to use gcc 2.9.1(kgcc). Good luck.
    http://www.redhat.com/support/resour...tchas-7-7.html

  5. #5

    Re: dumb kernel question

    bjzuk,

    Cool ! Thanks for the link. I dunno why I didn't browse the problems @ RedHat. Just too wrapped up in being frustrated at the compiler I guess.

    Maybe that's why the 2313 build of the nVidia kernel source wouldn't work for me when I did the rebuild for i686. No warnings, it just wouldn't install.

    Thanks again, glenn

  6. #6

    Re: dumb kernel question

    That's for 7.0 though, not 7.2 7.2 shipps with 2.9.6 and 3.0. 2.9.6 is perfectly fine, and the only reason that mplayer won't compile is the author is an ass who won't fix his code to comply with the industry standards enforced with 2.9.6.

    I've had NO problems what so ever with the Redhat gcc, and I will continue to support/defend it.

  7. #7

    Re: dumb kernel question

    I have an Athlon 750 processor and I just finished compiling 2.9.16 and the Nvidia driver with no problem. I am posting right now from that very machine. I also compiled the kernel with the Athlon arch running Redhat 7.2.

    no problems here ???

  8. #8

    Re: dumb kernel question

    Whoah,

    Back from rescue mode, that was fun...
    What are my loopback devices, and why are they all in use?

    I tried rpm -ivh --ignorearch --force to install the dl version of
    kernel-2.4.9-13.athlon.rpm and I guess it had gotten the athlon modules installed but tripped up on vmLinuz-2.4.9-13 and stilll had the i686 vmLinuz. Something told me to save copies of things I might need to breath life back into this sucker.

    Gotta go pick up my daughter but...

    <Arnold voice>I'll be back.</voice>

    --glenn

    Linux isn't just an alternative(better) operating system, it's an adventure

    <edit>KP and Rex obviously have a better handle on this than I have ???</edit>

  9. #9

    Re: dumb kernel question

    I only grab source.rpm's and then configure/compile them my self. All the good redhat patches, all the custom options of me.... (;

    beware, alittle source editing is necessary to get make install working, if you don't use lilo, and use grub instead.

  10. #10

    Re: dumb kernel question

    Oh i had problems....it is working now though took a weekend to get it running....I would suggest what KP said get the src rpms or go to http://www.kernel.org and the newest kernel and compile that.

    see my problems here

    http://www.linuxjunior.org/cgi-bin/Y...num=1007311586

    and here...

    http://www.linuxjunior.org/cgi-bin/Y...num=1006481920

    The reason I got 2.4.16 was because Redhat's up2date rpm thingy screwed my 2.4.9-13 kernel. It said it was installed but it kept wanting to download it again.

Similar Threads

  1. Back with another dumb question ...
    By jeager in forum Linux - General Topics
    Replies: 10
    Last Post: 04-26-2006, 03:18 PM
  2. dumb question [processes and daemons]
    By elovkoff in forum Linux - General Topics
    Replies: 16
    Last Post: 04-15-2003, 04:56 PM
  3. Kinda dumb BIND question
    By datamike in forum Linux - General Topics
    Replies: 2
    Last Post: 03-17-2003, 09:45 PM
  4. Dumb Dumb RAM Question
    By Tyr_7BE in forum Linux - Hardware, Networking & Security
    Replies: 7
    Last Post: 12-05-2002, 09:55 PM
  5. Dumb HTML question
    By popcorn in forum Linux - Hardware, Networking & Security
    Replies: 2
    Last Post: 11-22-2001, 01:34 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •